PDA

View Full Version : Litespeed Webserver


Xorlev
07 May 2006, 00:55
Litespeed Webserver (http://www.litespeedtech.com) has shown that it can more than adequately run vBulletin with high concurrency rates on my system with speed enhancement, even over Lighttpd. It can use a custom API (LSAPI) which you can choose to compile into PHP to gain even greater speed enhancements. It cut my server's load in half, and thus I recommend at least checking it out...the standard version is free, and other than a 300 concurrent user limit (ie, transferring data at once) it has no limits. :banana:

The versions beyond standard do cost a bit of a fee, but if you're a large forum making $20k monthly, and have need for a multicpu (ie, quad opterons) it shouldn't be a problem. It's custom SAPIs for PHP, Ruby, and Ruby on Rails was among my points for switching from Lighttpd. Either way, I like both Lighttpd (which seems to be popular here) and Litespeed, but if nothing less give it a run.

scottct1
19 Sep 2006, 15:55
I am trying to run Litespeed but am having a problem...

I am getting this error...

mysql_connect() [<a href='function.mysql-connect'>function.mysql-connect</a>]: Client does not support authentication protocol requested by server; consider upgrading MySQL client
/usr/home/satellit/public_html/includes/class_core.php on line 279

From Apache everything is running fine.

However I notice that Litespeed is running a different php.ini then my apache and am not sure how to fix this.

Any advice you have so I can run both Apache and Litespeed side by side would be appreciated. :)

Thanks!

orban
19 Sep 2006, 17:27
Why is LSAPI faster than fcgi?